intracdc/apps/home/urls.py
from django.urls import path
from .views import HomeView

app_name = "home"

urlpatterns = [
    path("", HomeView.as_view(), name="home"),
]

intracdc/urls.py
from rest_framework.decorators import api_view
from rest_framework.response import Response
from rest_framework.reverse import reverse

from django.conf import settings
from django.contrib import admin
from django.urls import include, path


# pylint: disable=redefined-builtin
@api_view(["GET"])
def api_root(request, format=None):
    return Response(
        {
            "accounts": reverse(
                "api_accounts:api-root", request=request, format=format
            ),
            "projects": reverse(
                "api_projects:api-root", request=request, format=format
            ),
            "themes": reverse(
                "api_themes:api-root", request=request, format=format
            ),
        }
    )


urlpatterns = [
    path("admin/", admin.site.urls),
    path("markdownx/", include("markdownx.urls")),
    path("api/", api_root),
    path(
        "api/accounts/", include("accounts.api_urls", namespace="api_accounts")
    ),
    path(
        "api/projects/", include("projects.api_urls", namespace="api_projects")
    ),
    path("api/themes/", include("themes.api_urls", namespace="api_themes")),
    path(
        "api-auth/", include("rest_framework.urls", namespace="rest_framework")
    ),
    path("", include("home.urls", namespace="home")),
    path("accounts/", include("accounts.urls", namespace="accounts")),
    path("accounts/", include("social_django.urls", namespace="social")),
    path("projects/", include("projects.urls", namespace="projects")),
]

if settings.DEBUG:
    import debug_toolbar

    urlpatterns = [
        path("__debug__/", include(debug_toolbar.urls))
    ] + urlpatterns

intracdc/templates/base.html
{% load static %}

{% with view_name=request.resolver_match.view_name %}

<!DOCTYPE html>
<html lang="en"
      dir="ltr">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>IntrACDC</title>
    <link rel="icon" href="{{ theme.favicon.image.url }}">
    <link rel="stylesheet" href="{{ theme.style.url }}">
    <link rel="stylesheet" href="{% static "ridge.css" %}">
    <link rel="stylesheet" href="{% static "loader.css" %}">
    <script src="{% static "alpine.js" %}" defer></script>
    <script src="https://unpkg.com/vue"></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <style>
      body {
        background-image: url({{ theme.background.image.url }});
        background-position: center;
        background-size: contain;
        background-repeat: no-repeat;
      }
    </style>
    {% block head %}
    {% endblock %}
  </head>
  <body>
    <main>
      <vstack spacing="m">
        <hstack>
        <a class="hover:no-underline" href="{% url "home:home" %}">
            <hstack spacing="xs">
              <img class="w3" src="{{ theme.logo.image.url }}" alt="ACDC logo" />
              <span class="bright">IntrACDC</span>
            </hstack>
          </a>
          <spacer></spacer>
          <hstack spacing="s">
            <a class="{% if view_name == "home:home" %}underline {% endif %}md lg" href="{% url "home:home" %}">Home</a>
            <a class="{% if view_name == "projects:project-list" %}underline {% endif %}md lg" href="{% url "projects:project-list" %}">Projects</a>
            <a class="{% if view_name == "accounts:trombi" %}underline {% endif %}md lg" href="{% url "accounts:trombi" %}">Trombi</a>
            <a class="{% if view_name == "accounts:preferences" %}underline {% endif %}md lg" href="{% url "accounts:preferences" %}">Preferences</a>
          </hstack>
        </hstack>

        <vstack spacing="l">
          {% block content %}
          {% endblock %}
        </vstack>

        <spacer></spacer>
        <div style="height: 50px; width: 100%;" class="sm"></div>
        <hstack class="sm fixed left-0 right-0 bottom-0 bt b--border bg-background-alt" style="z-index: 2">
        <a stretch href="{% url "home:home" %}" class="pa3{% if view_name != "home:home" %} main{% endif %}">
            <vstack align-x="center">
              <svg class="bi bi-house-fill" width="1em" height="1em" viewBox="0 0 16 16" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd" d="M8 3.293l6 6V13.5a1.5 1.5 0 0 1-1.5 1.5h-9A1.5 1.5 0 0 1 2 13.5V9.293l6-6zm5-.793V6l-2-2V2.5a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 .5.5z"/>
                <path fill-rule="evenodd" d="M7.293 1.5a1 1 0 0 1 1.414 0l6.647 6.646a.5.5 0 0 1-.708.708L8 2.207 1.354 8.854a.5.5 0 1 1-.708-.708L7.293 1.5z"/>
              </svg>
              Home
            </vstack>
          </a>
          <a stretch href="{% url "projects:project-list" %}" class="pa3{% if view_name != "projects:project-list" %} main{% endif %}">
            <vstack align-x="center">
              <svg class="bi bi-collection-fill" width="1em" height="1em" viewBox="0 0 16 16" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                <rect width="16" height="10" rx="1.5" transform="matrix(1 0 0 -1 0 14.5)"/>
                <path fill-rule="evenodd" d="M2 3a.5.5 0 0 0 .5.5h11a.5.5 0 0 0 0-1h-11A.5.5 0 0 0 2 3zm2-2a.5.5 0 0 0 .5.5h7a.5.5 0 0 0 0-1h-7A.5.5 0 0 0 4 1z"/>
              </svg>
              Projects
            </vstack>
          </a>
          <a stretch href="{% url "accounts:trombi" %}" class="pa3{% if view_name != "accounts:trombi" %} main{% endif %}">
            <vstack align-x="center">
              <svg class="bi bi-person-fill" width="1em" height="1em" viewBox="0 0 16 16" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd" d="M3 14s-1 0-1-1 1-4 6-4 6 3 6 4-1 1-1 1H3zm5-6a3 3 0 1 0 0-6 3 3 0 0 0 0 6z"/>
              </svg>
              Trombi
            </vstack>
          </a>
          <a stretch href="{% url "accounts:preferences" %}" class="pa3{% if view_name != "accounts:preferences" %} main{% endif %}">
            <vstack align-x="center">
              <svg class="bi bi-gear-wide-connected" width="1em" height="1em" viewBox="0 0 16 16" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd" d="M8.932.727c-.243-.97-1.62-.97-1.864 0l-.071.286a.96.96 0 0 1-1.622.434l-.205-.211c-.695-.719-1.888-.03-1.613.931l.08.284a.96.96 0 0 1-1.186 1.187l-.284-.081c-.96-.275-1.65.918-.931 1.613l.211.205a.96.96 0 0 1-.434 1.622l-.286.071c-.97.243-.97 1.62 0 1.864l.286.071a.96.96 0 0 1 .434 1.622l-.211.205c-.719.695-.03 1.888.931 1.613l.284-.08a.96.96 0 0 1 1.187 1.187l-.081.283c-.275.96.918 1.65 1.613.931l.205-.211a.96.96 0 0 1 1.622.434l.071.286c.243.97 1.62.97 1.864 0l.071-.286a.96.96 0 0 1 1.622-.434l.205.211c.695.719 1.888.03 1.613-.931l-.08-.284a.96.96 0 0 1 1.187-1.187l.283.081c.96.275 1.65-.918.931-1.613l-.211-.205a.96.96 0 0 1 .434-1.622l.286-.071c.97-.243.97-1.62 0-1.864l-.286-.071a.96.96 0 0 1-.434-1.622l.211-.205c.719-.695.03-1.888-.931-1.613l-.284.08a.96.96 0 0 1-1.187-1.186l.081-.284c.275-.96-.918-1.65-1.613-.931l-.205.211a.96.96 0 0 1-1.622-.434L8.932.727zM8 12.997a4.998 4.998 0 1 0 0-9.995 4.998 4.998 0 0 0 0 9.996z"/>
                <path fill-rule="evenodd" d="M7.375 8L4.602 4.302l.8-.6L8.25 7.5h4.748v1H8.25L5.4 12.298l-.8-.6L7.376 8z"/>
              </svg>
              Preferences
            </vstack>
          </a>
        </hstack>
      </vstack>
    </main>
  </body>
</html>
{% endwith %}